Bug 1115046 - subscription-manager-migration-data doesn't contain the rhel-6-server-extras-rpms data used for RHEL-7 in-place upgrades
Summary: subscription-manager-migration-data doesn't contain the rhel-6-server-extras-...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager-migration-data
Version: 6.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel66
TreeView+ depends on / blocked
 
Reported: 2014-07-01 13:16 UTC by Peter Robinson
Modified: 2014-10-14 07:47 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
no documentation required
Clone Of:
Environment:
Last Closed: 2014-10-14 07:47:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1384 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2014-10-14 01:27:50 UTC

Description Peter Robinson 2014-07-01 13:16:53 UTC
When following the upgrade guide to upgrade a system from RHEL-6 to RHEL-7 that is registered using the traditional RHN there's a part in the migration where you have to migrate from RHN -> subscription manager for the upgrade to be able to succeed.

https://access.redhat.com/site/solutions/637583

The problem is in Step 2 of the migration you are required to add the rhel-6-server-extras-rpms channel to provide access to the packages that do the upgrade. The report then reports you need to move to subscription manager and helpfully provides a link [1]. When you try and migrate your subscription you get the error:

[root@dev ~]# rhn-migrate-classic-to-rhsm
Red Hat account: rhn-gps-perobins
Password: 

Retrieving existing RHN Classic subscription information...

+-----------------------------------------------------+
System is currently subscribed to these RHN Classic Channels:
+-----------------------------------------------------+
rhel-x86_64-server-6
rhel-x86_64-server-extras-6
rhel-x86_64-server-lb-6

+-----------------------------------------------------+
No product certificates are mapped to these RHN Classic channels:
+-----------------------------------------------------+
rhel-x86_64-server-extras-6

Use --force to ignore these channels and continue the migration.

[root@dev ~]#

There needs to be a product mapping to map that the equivalent to make the migration smooth.

[1] https://access.redhat.com/site/solutions/637583

Comment 2 Peter Robinson 2014-07-01 13:26:45 UTC
Versions are:
subscription-manager-migration-data-2.0.5-1.el6.noarch
subscription-manager-1.9.11-1.el6.x86_64
subscription-manager-migration-1.9.11-1.el6.x86_64

Comment 3 Amanda Carter 2014-07-28 14:40:39 UTC
When checking into fixing this, RCM found that this does not appear to be an issue still, could you please confirm that you are still having a problem here? We think it's resolved.

Comment 4 Peter Robinson 2014-07-29 10:23:03 UTC
This is still an issue on a machine I just tested it on. It's easy enough to recreate this. 

I've not seen an update to subscription-manager-migration-data since the 2.0.5 that is currently on the machine I had the issue with.

1) register a device with old style rhn
2) rhn-channel -a -c rhel-x86_64-server-extras-6
3) yum clean expire-cache
4) yum install subscription-manager-migration subscription-manager-migration-data
5) rhn-migrate-classic-to-rhsm


See output below:

[root@ipa ~]# yum clean expire-cache
Loaded plugins: product-id, rhnplugin, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Cleaning repos: epel epel-testing rhel-x86_64-server-6 rhel-x86_64-server-optional-6
4 metadata files removed
[root@ipa ~]# yum install subscription-manager-migration subscription-manager-migration-data
Loaded plugins: product-id, rhnplugin, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
This system is receiving updates from RHN Classic or RHN Satellite.
epel/metalink                                                                                                                  |  28 kB     00:00     
epel-testing/metalink                                                                                                          |  28 kB     00:00     
rhel-x86_64-server-6                                                                                                           | 1.8 kB     00:00     
rhel-x86_64-server-extras-6                                                                                                    | 1.2 kB     00:00     
rhel-x86_64-server-extras-6/primary                                                                                            | 2.5 kB     00:00     
rhel-x86_64-server-extras-6                                                                                                                       4/4
rhel-x86_64-server-optional-6                                                                                                  | 1.8 kB     00:00     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package subscription-manager-migration.x86_64 0:1.9.11-1.el6 will be installed
---> Package subscription-manager-migration-data.noarch 0:2.0.5-1.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

======================================================================================================================================================
 Package                                             Arch                   Version                        Repository                            Size
======================================================================================================================================================
Installing:
 subscription-manager-migration                      x86_64                 1.9.11-1.el6                   rhel-x86_64-server-6                 129 k
 subscription-manager-migration-data                 noarch                 2.0.5-1.el6                    rhel-x86_64-server-6                 307 k

Transaction Summary
======================================================================================================================================================
Install       2 Package(s)

Total download size: 436 k
Installed size: 0  
Is this ok [y/N]: y
Downloading Packages:
(1/2): subscription-manager-migration-1.9.11-1.el6.x86_64.rpm                                                                  | 129 kB     00:00     
(2/2): subscription-manager-migration-data-2.0.5-1.el6.noarch.rpm                                                              | 307 kB     00:00     
------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                 148 kB/s | 436 kB     00:02     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : subscription-manager-migration-1.9.11-1.el6.x86_64                                                                                 1/2 
  Installing : subscription-manager-migration-data-2.0.5-1.el6.noarch                                                                             2/2 
  Verifying  : subscription-manager-migration-data-2.0.5-1.el6.noarch                                                                             1/2 
  Verifying  : subscription-manager-migration-1.9.11-1.el6.x86_64                                                                                 2/2 

Installed:
  subscription-manager-migration.x86_64 0:1.9.11-1.el6                    subscription-manager-migration-data.noarch 0:2.0.5-1.el6                   

Complete!
[root@ipa ~]# rhn-migrate-classic-to-rhsm
Red Hat account: rhn-gps-perobins
Password: 

Retrieving existing RHN Classic subscription information...

+-----------------------------------------------------+
System is currently subscribed to these RHN Classic Channels:
+-----------------------------------------------------+
rhel-x86_64-server-6
rhel-x86_64-server-extras-6
rhel-x86_64-server-optional-6

+-----------------------------------------------------+
No product certificates are mapped to these RHN Classic channels:
+-----------------------------------------------------+
rhel-x86_64-server-extras-6

Use --force to ignore these channels and continue the migration.

Comment 7 Rehana 2014-08-27 10:56:21 UTC
Retested on rhel6.5, 

verification steps
--------------------
1) Installed rhel6.5 server 
   subscription-manager pkg versions :
   # rpm -qa subscription* python-rhsm
   subscription-manager-gui-1.9.11-1.el6.x86_64
   python-rhsm-1.9.6-1.el6.x86_64
   subscription-manager-1.9.11-1.el6.x86_64

2) Updated to latest subscription-manager-migration-data pkg from brew
rpm -Uvh http://download.devel.redhat.com/brewroot/packages/subscription-manager-migration-data/2.0.12/1.el6/noarch/subscription-manager-migration-data-2.0.12-1.el6.noarch.rpm

# rpm -qa subscription* python-rhsm
subscription-manager-gui-1.9.11-1.el6.x86_64
subscription-manager-migration-data-2.0.12-1.el6.noarch --> updated version
python-rhsm-1.9.6-1.el6.x86_64
subscription-manager-migration-1.9.11-1.el6.x86_64
subscription-manager-1.9.11-1.el6.x86_64

3) register  server to rhn 

# rhnreg_ks --username=qa@redhat.com --password=********

4) Add extra channels
    rhn-channel -a -c rhel-x86_64-server-extras-6

# rhn-channel -a -c rhel-x86_64-server-extras-6
Username: qa@redhat.com
Password: 


5) yum clean expire-cache

#yum clean expire-cache
Loaded plugins: product-id, refresh-packagekit, rhnplugin, security, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Cleaning repos: rhel-x86_64-server-6
1 metadata files removed

6) yum repolist
# yum repolist
Loaded plugins: product-id, refresh-packagekit, rhnplugin, security, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
This system is receiving updates from RHN Classic or RHN Satellite.
rhel-x86_64-server-6                                 | 1.8 kB     00:00     
rhel-x86_64-server-extras-6                          | 1.2 kB     00:00     
rhel-x86_64-server-extras-6/primary                  | 2.5 kB     00:00     
rhel-x86_64-server-extras-6                          4/4
repo id                    reponame                                                 status
rhel-x86_64-server-6           Red Hat Enterprise Linux Server (v. 6 for 64-bit x86_64)  12,840
rhel-x86_64-server-extras-6    RHEL Server Extras (v. 6 for 64-bit x86_64)               4
repolist: 12,844

7)Successfully migrated the system having `rhel-6-server-extras-rpms` data to RHSM from RHN

# rhn-migrate-classic-to-rhsm 
Red Hat account: qa@redhat.com
Password: 

Retrieving existing RHN Classic subscription information...

+-----------------------------------------------------+
System is currently subscribed to these RHN Classic Channels:
+-----------------------------------------------------+
rhel-x86_64-server-6
rhel-x86_64-server-extras-6

+-----------------------------------------------------+
Installing product certificates for these RHN Classic channels:
+-----------------------------------------------------+
rhel-x86_64-server-6
rhel-x86_64-server-extras-6

Product certificates installed successfully to /etc/pki/product.

Preparing to unregister system from RHN Classic...
System successfully unregistered from RHN Classic.

Attempting to register system to Red Hat Subscription Management...
The system has been registered with ID: 1895799e-1896-41fa-ae7a-5e1ffdf89434 
System 'URI:CN=localhost.localdomain' successfully registered to Red Hat Subscription Management.

Attempting to auto-attach to appropriate subscriptions...
Installed Product Current Status:
Product Name: Red Hat Enterprise Linux Server
Status:       Subscribed


Please visit https://access.redhat.com/management/consumers/1895799e-1896-41fa-ae7a-5e1ffdf89434 to view the details, and to make changes if necessary.


8) Now as mentioned in https://access.redhat.com/solutions/637583 Step 2

You can enable the extra rpms and install preupgrade packages

a) subscription-manager repos --enable rhel-6-server-extras-rpms 

# subscription-manager repos --enable rhel-6-server-extras-rpms 
Repo rhel-6-server-extras-rpms is enabled for this system.

b) yum -y install preupgrade-assistant preupgrade-assistant-ui preupgrade-assistant-contents 

<snip>
Dependencies Resolved

=====================================================================================
 Package                                      Arch                  Version                            Repository                                Size
=====================================================================================
Installing:
 preupgrade-assistant                         x86_64                1.0.2-33.el6                       rhel-6-server-extras-rpms                439 k
 preupgrade-assistant-contents                noarch                0.5.13-1.el6                       rhel-6-server-extras-rpms                589 k
 preupgrade-assistant-ui                      x86_64                1.0.2-33.el6                       rhel-6-server-extras-rpms                6.6 M
Installing for dependencies:
 libgcrypt-devel                              x86_64                1.4.5-11.el6_4                     rhel-6-server-rpms                       118 k
 libgpg-error-devel                           x86_64                1.7-4.el6                          rhel-6-server-rpms                        14 k
 libxml2-devel                                x86_64                2.7.6-14.el6_5.2                   rhel-6-server-rpms                       1.1 M
 libxslt-devel                                x86_64                1.1.26-2.el6_3.1                   rhel-6-server-rpms                       561 k
 mod_wsgi                                     x86_64                3.2-6.el6_5                        rhel-6-server-rpms                        66 k
 openscap                                     x86_64                1.0.8-1.el6_5                      rhel-6-server-rpms                       2.9 M
 pcre-devel                                   x86_64                7.8-6.el6                          rhel-6-server-rpms                       318 k
 zlib-devel                                   x86_64                1.2.3-29.el6                       rhel-6-server-rpms                        44 k
Updating for dependencies:
 libxml2                                      x86_64                2.7.6-14.el6_5.2                   rhel-6-server-rpms                       800 k
 libxml2-python                               x86_64                2.7.6-14.el6_5.2                   rhel-6-server-rpms                       322 k

Transaction Summary
======================================================================================================================================================

<snip>

Installed:
  preupgrade-assistant.x86_64 0:1.0.2-33.el6   preupgrade-assistant-contents.noarch 0:0.5.13-1.el6   preupgrade-assistant-ui.x86_64 0:1.0.2-33.el6  

Dependency Installed:
  libgcrypt-devel.x86_64 0:1.4.5-11.el6_4           libgpg-error-devel.x86_64 0:1.7-4.el6           libxml2-devel.x86_64 0:2.7.6-14.el6_5.2          
  libxslt-devel.x86_64 0:1.1.26-2.el6_3.1           mod_wsgi.x86_64 0:3.2-6.el6_5                   openscap.x86_64 0:1.0.8-1.el6_5                  
  pcre-devel.x86_64 0:7.8-6.el6                     zlib-devel.x86_64 0:1.2.3-29.el6               

Dependency Updated:
  libxml2.x86_64 0:2.7.6-14.el6_5.2                                      libxml2-python.x86_64 0:2.7.6-14.el6_5.2                                     

Complete!


Conculsion:
-----------
With subscription-manager-migration-data-2.0.12-1.el6.noarch.rpm installed, subscription-manager-migration-data contains 'rhel-6-server-extras-rpms` data 

Marking Verified !!

Comment 8 errata-xmlrpc 2014-10-14 07:47:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1384.html


Note You need to log in before you can comment on or make changes to this bug.